<?php
/**
 * Created by PhpStorm.
 * User: tuliomagalhaes
 * Date: 22/05/14
 * Time: 14:38
 */

namespace Factory;


class CalendarEntity {

    private $entityManager;

    public function __construct(\Doctrine\ORM\EntityManager $entityManager){
        $this->entityManager = $entityManager;
    }

    public function createCalendarEntity($idTableEntity,$status = 'A',$organization, $user){

        $entity = new \Zeedhi\DevOps\Model\Projectmanagement\Entities\CalendarEntity();
        $entity->setOrganization($organization);
        $entity->setIdTableEntity($idTableEntity);
        $entity->setStatus($status);
        $entity->setCreatedBy($user);
        $entity->setUpdatedBy($user);
        return $entity;
    }
    public function updateCalendarEntity(\Zeedhi\DevOps\Model\Projectmanagement\Entities\CalendarEntity $entity,$status = 'A', $updatedBy){

        $entity->setStatus($status);
        $entity->setUpdatedBy($updatedBy);
        return $entity;
    }
} 